devguard
Vendor assessment attachmentId

Delete a vendor assessment attachment record.

DELETE
/vendor-assessment-attachment/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/vendor-assessment-attachment/497f6eca-6276-4993-bfeb-53cbbbba6f08/"
{
  "id": "string",
  "organizationId": "string",
  "assessmentId": "string",
  "title": "string",
  "description": "string",
  "filename": "string",
  "originalName": "string",
  "mimeType": "string",
  "size": -9007199254740991,
  "s3Key": "string",
  "s3Bucket": "string",
  "uploadedBy": "string",
  "createdAt": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?